Bug 731671

Summary: [bn_IN] Wrong translation for User's Home folder
Product: [Fedora] Fedora Reporter: Runa Bhattacharjee <runab>
Component: nautilusAssignee: Ankit Patel <ankit>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: aalam, ankit, ccecchi, i18n-bugs, lijli, tagoh, tbzatek
Target Milestone: ---Keywords: i18n
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 19:54:06 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
The wrong translation for the user's home folder in nautilus none

Description Runa Bhattacharjee 2011-08-18 05:56:59 EDT
Created attachment 518836 [details]
The wrong translation for the user's home folder in nautilus

Description of problem:

The translation for the label 'Home' used for the user's home folder (e.g.  /home/<user's home>) in nautilus file manager for the Bengali (India) locale is not the same as written in the translation files. 

_Home has been translated as ব্যক্তিগত ফোল্ডার (_H) in the .PO files. However the translation used on the interface is হোম (_H).


Version-Release number of selected component (if applicable):

nautilus-3.0.1.1-1.fc15

How reproducible:


Steps to Reproduce:

1. Login to the Bengali-India locale  (after selecting it from the Regional settings within the Desktop's System Settings)

2. Start nautilus

3. Check the translation for the label 'Home' on the title and left-bar (i.e. /home/<user's home> in this example ). Screenshot of the wrong translation has been attached.
  
Actual results:

The translated version reads - হোম (_H)


Expected results:

The translated version should read - ব্যক্তিগত ফোল্ডার (_H)

Additional info:
Comment 1 Runa Bhattacharjee 2011-08-18 06:03:07 EDT
gtk2-2.24.4-1.fc15
gtk3-3.0.9-1.fc15
Comment 2 Tomáš Bžatek 2011-08-18 10:28:39 EDT
I see you're upstream translator, can you please provide a patch? I'd be happy to package it.
Comment 3 Runa Bhattacharjee 2011-08-19 01:31:01 EDT
Hi Tomáš,

The correct translation is already part of the package. I ran a msgunfmt on the binary files (/usr/share/locale/bn_IN/LC_MESSAGES/nautilus.mo) to obtain the .PO file and it shows the correct translation in there. So I am not really sure how you'd want me to patch this up. Is there something else you'd like me to check up?

cheers
Comment 4 A S Alam 2011-08-31 03:56:10 EDT
while testing fedora 16, same behaviour found with following packages:
gtk3-3.1.12-1.fc16.x86_64
nautilus-3.1.4-1.fc16.x86_64
gtk2-2.24.5-1.fc16.x86_64
Comment 5 Jens Petersen 2011-08-31 05:17:34 EDT
Staring at the po files, as far as I can tell the string in question
is "Home" and there is no translation for "Home" in bn_IN.po
so it is falling back to bn.po.

(I didn't look at the upstream .po files/stats...)
Comment 6 Runa Bhattacharjee 2011-08-31 05:48:20 EDT
(In reply to comment #5)
> Staring at the po files, as far as I can tell the string in question
> is "Home" and there is no translation for "Home" in bn_IN.po
> so it is falling back to bn.po.
> 

We ran a msgunfmt on the .mo files that are part of both those versions to get the .PO files from the binary. The string that we found contains an accesskey and is "_Home" and is translated as ব্যক্তিগত ফোল্ডার (_H) in all places for bn_IN.

Is there some other file you would like us to test on?
Comment 7 Fedora End Of Life 2013-01-16 19:21:03 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Akira TAGOH 2013-01-30 21:58:35 EST
That looks good to me on f18 (dunno even if there are any rendering problem there) can anyone please confirm it too?
Comment 9 Lijun Li 2013-01-30 22:05:02 EST
(In reply to comment #4)
> while testing fedora 16, same behaviour found with following packages:
> gtk3-3.1.12-1.fc16.x86_64
> nautilus-3.1.4-1.fc16.x86_64
> gtk2-2.24.5-1.fc16.x86_64

Hi Aman,

Could you please confirm Comment 8 ?

Thanks,
Robert
Comment 10 Fedora End Of Life 2013-02-13 19:54:10 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.